Package org.eclipse.emf.cdo.lm

# Interface DropType

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `ProcessElement`, `SystemElement`

All Known Implementing Classes:
  `DropTypeImpl`

public interface DropType extends ProcessElement
A representation of the model object 'Drop Type'.

See Also:
  - `LMPackage.getDropType()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Process`
  - `Name`
  - `Release`
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the value of the 'Name' attribute.
`Process`
`getProcess()`
Returns the value of the 'Process' container reference.
`boolean`
`isRelease()`
Returns the value of the 'Release' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setProcess(Process value)`
Sets the value of the '`Process`' container reference.
`void`
`setRelease(boolean value)`
Sets the value of the '`Release`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getProcess

Process getProcess()
Returns the value of the 'Process' container reference. It is bidirectional and its opposite is '`Drop Types`'.

Specified by:
  `getProcess` in interface `ProcessElement`
Returns:
  the value of the 'Process' container reference.
See Also:
  - `setProcess(org.eclipse.emf.cdo.lm.Process)`
  - `LMPackage.getDropType_Process()`
  - `Process.getDropTypes()`
Generated
Model
  opposite="dropTypes" required="true" transient="false"

### setProcess

void setProcess(Process value)
Sets the value of the '`Process`' container reference.

Parameters:
  `value` - the new value of the 'Process' container reference.
See Also:
  - `getProcess()`
Generated

### getName

String getName()
Returns the value of the 'Name' attribute.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `LMPackage.getDropType_Name()`
Generated
Model
  required="true"

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`
Generated

### isRelease

boolean isRelease()
Returns the value of the 'Release' attribute.

Returns:
  the value of the 'Release' attribute.
See Also:
  - `setRelease(boolean)`
  - `LMPackage.getDropType_Release()`
Generated
Model
  required="true"

### setRelease

void setRelease(boolean value)
Sets the value of the '`Release`' attribute.

Parameters:
  `value` - the new value of the 'Release' attribute.
See Also:
  - `isRelease()`
Generated